/******************************************************************************/
/* BLINKY.C: LED Flasher                                                      */
/******************************************************************************/
/* This file is part of the uVision/ARM development tools.                    */
/* Copyright (c) 2008 Keil Software. All rights reserved.                     */
/* This software may only be used under the terms of a valid, current,        */
/* end user licence from KEIL for a compatible version of KEIL software       */
/* development tools. Nothing else gives you the right to use this software.  */
/******************************************************************************/
                  
#include "LPC17xx.H"                    /* LPC17xx definitions                */
 #define TEST_LED (1 << 10)
void delay(int count)
{
int j=0,i=0;

for(j=0;j<count;j++)
{
/* At 60Mhz, the below loop introduces
delay of 10 us */
for(i=0;i<35;i++);
}
}


/**
  *******************************************************************
  	Funtion Name : Test_LED()

  	Description  :

  	Input        :

  	Output       : None

  	Note         :
  *****************************************************************
  */
  int main(void)
   {
	   
	  LPC_GPIO0->FIODIR =TEST_LED;
      while(1)
       {
	  	
	  
	 	    LPC_GPIO0->FIOPIN |=  TEST_LED;
	 	    delay(5000);                         /* Delay 500ms                        */
	 	    LPC_GPIO0->FIOPIN &= ~TEST_LED;
	 	    delay(5000);
	  }     
   }
